package com.java2s.common;


import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

import org.springframework.transaction.annotation.Transactional;

@Transactional
public class PersonDaoImpl {
  public void test(){
    Person p1 = new Person("Tom");
    
    p1.setName("Tom");
    
    Department d = new Department();
    d.setName("Design");
    p1.setDepartment(d);
    d.setPerson(p1);
    
    em.persist(p1);
    em.persist(d);
    
    Query query = em.createQuery("SELECT e FROM Person e");
    List<Person> list = (List<Person>) query.getResultList();
    System.out.println(list.get(0).getDepartment());
    
    em.remove(list.get(0));
    
  }
	@PersistenceContext
	private EntityManager em;
}
